<div class="menuContainer" *ngIf="false">
  <mat-list *ngFor="let drinkCategory of menuData">
    <div style="font-size: 20px; font-weight: bold" mat-subheader>
      {{ "main-nav.drinksCategory." + drinkCategory.name | translate }}
    </div>
    <mat-list-item *ngFor="let item of drinkCategory.values">
      <mat-icon mat-list-icon style="margin-bottom: 16px; margin-right: 5px">
        <div
          style="
            position: relative;
            width: 40px;
            height: 40px;
            overflow: hidden;
            border-radius: 50%;
          "
        >
          <img
            [src]="imagePath"
            alt=""
            style="width: auto; height: 100%; margin-left: -calc(40px * 0.25)"
          />
        </div>
      </mat-icon>
      <div mat-line>
        <strong>{{ item.name }}</strong>
      </div>
      <div mat-line>{{ item.description }}</div>
      <div style="float: right">
        {{ item.itemPrice.value | number: "1.2-2" }}
        {{ item.itemPrice.currency.ISOName }}
      </div>
    </mat-list-item>
    <mat-divider></mat-divider>
  </mat-list>
</div>

<!-- matBadge="{{drinkCategory.values.length}}" matBadgeOverlap="false" matBadgeSize="small" -->

<div class="menuContainer" *ngIf="false">
  <mat-accordion>
    <mat-expansion-panel *ngFor="let drinkCategory of menuData">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <strong>
            {{ "main-nav.drinksCategory." + drinkCategory.name | translate }}
          </strong>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <div class="menuCard" *ngIf="withCards">
        <mat-card *ngFor="let item of drinkCategory.values">
          <mat-card-header>
            <!-- <div mat-card-avatar></div> -->
            <mat-card-title
              ><strong>{{ item.name }}</strong></mat-card-title
            >
            <mat-card-subtitle>{{ item.description }}</mat-card-subtitle>
          </mat-card-header>
          <img mat-card-image [src]="imagePath" />
          <mat-card-content>
            <p *ngIf="item.quantity">{{ item.quantity }} {{ item.unit }}</p>
            <p *ngIf="item.ingredients && item.ingredients.length > 0">
              {{ "main-nav.ingredients" | translate }}:
            </p>
            <ul>
              <li *ngFor="let ingredient of item.ingredients">
                {{ ingredient.name | translate }} {{ ingredient.quantity
                }}{{ ingredient.unit }}
              </li>
            </ul>
          </mat-card-content>
          <mat-card-actions class="menuItemPrice">
            <p>
              {{ item.itemPrice.value | number: "1.2-2" }}
              {{ item.itemPrice.currency.ISOName }}
            </p>
          </mat-card-actions>
        </mat-card>
      </div>
      <mat-list *ngIf="!withCards">
        <mat-list-item *ngFor="let item of drinkCategory.values">
          <mat-icon
            mat-list-icon
            style="margin-bottom: 16px; margin-right: 5px"
          >
            <div
              style="
                position: relative;
                width: 40px;
                height: 40px;
                overflow: hidden;
                border-radius: 50%;
              "
            >
              <img
                [src]="imagePath"
                alt=""
                style="
                  width: auto;
                  height: 100%;
                  margin-left: -calc(40px * 0.25);
                "
              />
            </div>
          </mat-icon>
          <div mat-line style="font-size: 16px; font-weight: bold">
            {{ item.name }}
          </div>
          <div mat-line>{{ item.description | translate }}</div>
          <div mat-line>
            <i>{{ item.quantity }} {{ item.unit }}</i>
          </div>
          <div mat-line *ngIf="item.ingredients?.length > 0">
            <strong>{{ "main-nav.ingredients" | translate }}:</strong>
          </div>
          <div mat-line *ngFor="let ingredient of item.ingredients">
            {{ ingredient.name | translate }} {{ ingredient.quantity
            }}{{ ingredient.unit }}
          </div>
          <div style="float: right">
            {{ item.itemPrice.value | number: "1.2-2" }}
            {{ item.itemPrice.currency.ISOName }}
          </div>
        </mat-list-item>
      </mat-list>
    </mat-expansion-panel>
  </mat-accordion>
</div>

<div class="menuContainer">
  <div class="pageTitleContainer">
    <div class="backButton">Inapoi</div>
    <div class="pageTitle">{{ "main-nav.drinks" | translate }}</div>
  </div>
  <div class="menuCategory" *ngFor="let drinkCategory of menuData">
    <div class="divider div-transparent"></div>
    <div class="menuCategoryTitle">
      {{ "main-nav.drinksCategory." + drinkCategory.name | translate }}
    </div>
    <div class="divider div-transparent"></div>
    <div class="menuItem" *ngFor="let item of drinkCategory.values">
      <img [src]="imagePath" />

      <div class="menuItemBody">
        <div class="menuItemName menuItemTitle">
          <strong>{{ item.name }}</strong
          >&nbsp;
          <span *ngIf="item.quantity"
            >({{ item.quantity }} {{ item.unit }})</span
          >
        </div>
        <div class="menuItemDescription">
          {{ item.description }}
        </div>
        <div
          class="menuItemIngredients"
          *ngIf="item.ingredients && item.ingredients.length > 0"
        >
          {{ "main-nav.ingredients" | translate }}:
          <ul>
            <li *ngFor="let ingredient of item.ingredients">
              {{ ingredient.name | translate }} {{ ingredient.quantity
              }}{{ ingredient.unit }}
            </li>
          </ul>
        </div>
      </div>

      <span class="spacer"></span>
      <div class="menuItemPrice">
        {{ item.itemPrice.value | number: "1.2-2" }}
        {{ item.itemPrice.currency.ISOName }}
      </div>
    </div>
  </div>
</div>
